<?php

$title       = 'Busca - O guia mais completo do Brasil';
$description = 'Busca - O guia mais completo do Brasil';
$keywords    = '';


if(isset($_GET['loc'])){
    
    $loca = explode(' ', $_GET['loc'] );

	$loc = filter_var($loca, FILTER_SANITIZE_STRING);



}

if(isset($_GET['q'])){

	$q = filter_var($_GET['q'], FILTER_SANITIZE_STRING);

}

$nivel = 3;

$uf = $loca['0'];
$estado = retornaQ("SELECT * FROM l_estados WHERE uf='$uf'");
$id_uf = $estado['id'];


$slugcidade = $loca['1'];
$cidade = retornaQ("SELECT * FROM l_cidades WHERE slug='$slugcidade'");
$id_cidade = $cidade['id'];

		$id_cidade = $cidade['id'];

		$detectcamp = FALSE;

		$sqlan = mysql_query("SELECT * FROM anuncios WHERE id_cidade='$id_cidade'");
		if(mysql_num_rows($sqlan)==1)
		{

			$campf = mysql_fetch_assoc($sqlan);

			$idcamp = $campf['id_camp'];

			$sqlcamp = mysql_query("SELECT * FROM campanhas WHERE id='$idcamp' AND ativo=1");
			
			if(mysql_num_rows($sqlcamp)==1){

					$campanha = mysql_fetch_assoc($sqlcamp);	
					$detectcamp = TRUE;
			}
			

		}

		$selemp1 = mysql_query("SELECT id FROM empresas WHERE id_cidade = '$id_cidade' and empresa like'%$q%'");

		$num = mysql_num_rows($selemp1);



$n = 30;

if(!isset($_GET['p'])) { $pag=1; } else

{

	$pag = filter_var($_GET['p'], FILTER_SANITIZE_NUMBER_INT);

}




		$paginas = ceil($num/$n);

		if($pag>$paginas && $num!=0){ header("location:".sti('urlbase').$uf.'/'.$cidade['slug']); exit; }

		$p = $pag;
		$ini = ($n * $pag) - $n;	


